Fd2dBlackScholesVanillaEngine Class Reference
Pricing engines » Basket option engines

Two dimensional finite-differences Black Scholes vanilla option engine. More...

`#include <ql/pricingengines/basket/fd2dblackscholesvanillaengine.hpp>`

Inheritance diagram for Fd2dBlackScholesVanillaEngine:
[legend]

## Public Member Functions

| Fd2dBlackScholesVanillaEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &p1, const boost::shared_ptr< GeneralizedBlackScholesProcess > &p2, Real correlation, Size xGrid=100, Size yGrid=100, Size tGrid=50, Size dampingSteps=0, const FdmSchemeDesc &schemeDesc=FdmSchemeDesc::Hundsdorfer())
void | calculate () const
Public Member Functions inherited from GenericEngine< BasketOption::arguments, BasketOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members

Protected Attributes inherited from GenericEngine< BasketOption::arguments, BasketOption::results >
BasketOption::arguments | arguments_
BasketOption::results | results_

## Detailed Description

Two dimensional finite-differences Black Scholes vanilla option engine.

Tests:
  the correctness of the returned value is tested by reproducing results available in web/literature and comparison with Kirk approximation.